ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual

# ReflectionExtension::export

(PHP 5)

ReflectionExtension::export — Exportation

### Description

public static string ReflectionExtension::export ( string `$name` [, string `$return` = false ] )

Exporte une extension reflétée. Le format de retour de cette fonction est similaire à celui du CLI appelé avec l'option --re [extension].

### Liste de paramètres

`name`

  La réflection à exporter.

`return`

  Le fait de le définir à `TRUE` retournera l'export plutôt que l'émission. Le définir à `FALSE` (par défaut) fera l'inverse.

### Valeurs de retour

Si le paramètre `return` est défini à `TRUE`, l'export sera retourné sous la forme d'une chaîne de caractères, sinon, `NULL` sera retourné.

### Voir aussi

- ReflectionExtension::info - Récupère des informations sur l'extension

ReflectionExtension::__construct
ReflectionExtension::getClasses
ReflectionExtension
PHP Manual